--Reviewing LEFT, RIGHT and FULL OUTER JOINS
--FULL
SELECT *
FROM countries as c FULL JOIN sales as s ON c.city=s.retailer_city
ORDER BY c.city
--LEFT
SELECT *
FROM countries as c LEFT JOIN sales as s ON c.city=s.retailer_city
ORDER BY c.city
--RIGHT
SELECT *
FROM countries as c RIGHT JOIN sales as s ON c.city=s.retailer_city
ORDER BY c.city

--Introducing LEFT, RIGHT and FULL ANTI-JOINS
--Left anti-join
SELECT *
FROM countries as c LEFT JOIN sales as s ON c.city=s.retailer_city
WHERE date is null

--Right anti-join
SELECT *
FROM countries as c RIGHT JOIN sales as s ON c.city=s.retailer_city
WHERE country is null

--Full anti-join
SELECT *
FROM countries as c FULL JOIN sales as s ON c.city=s.retailer_city
WHERE country is null or date is null


